INSTALL-INFO(1)

BEZEICHNUNG
install-info - Info-/Verzeichniseinträge aktualisieren

ÜBERSICHT
install-info [OPTION] … [INFO-DATEI [VERZEICHNIS-DATEI]]

BESCHREIBUNG
Fügt Einträge zur INFO-DATEI aus der angegebenen VERZEICHNIS-DATEI hinzu oder entfernt sie daraus. INFO-DATEI und VERZEICHNIS-DATEI sind erforderlich, außer wenn die Optionen --info-file beziehungsweise --dir-file (oder --info-dir) angegeben sind.

OPTIONEN

--add-once
    fügt nur zum ersten passenden Abschnitt hinzu, nicht zu allen.

--align=SPALTE
    beginnt mit der Beschreibung neuer Einträge in der angegebenen SPALTE.

--calign=SPALTE
    formatiert die zweite und die folgenden Beschreibungszeilen so, dass sie in der angegebenen SPALTE beginnen.

--debug
    meldet, was geschieht.

--delete
    löscht vorhandene Einträge für INFO-DATEI aus der VERZEICHNIS-DATEI; es werden keinerlei neue Einträge hinzugefügt.

--defsection=TEXT
    agiert wie --section, verwendet den TEXT aber nur dann, wenn in der INFO-DATEI keine Abschnitte vorhanden sind (ersetzt »Miscellaneous«).

--description=TEXT
    verwendet den angegebenen TEXT als Beschreibung des Eintrags; wird zusammen mit der Option --name verwendet, was dann synonym zur Option --entry wird.

--dir-file=NAME
    gibt den Namen der Info-Verzeichnisdatei an, dies ist gleichbedeutend mit der Verwendung des Arguments VERZEICHNIS-DATEI.

--dry-run
    ist gleichbedeutend mit --test.

--entry=TEXT
    fügt den angegebenen TEXT in den Info-Verzeichniseintrag ein, wobei ein entsprechender Eintrag in der VERZEICHNIS-DATEI außer Kraft gesetzt wird. Der TEXT wird als Info-Menüeintrag eingefügt, gefolgt von

keiner oder mehr zusätzlichen Zeilen, die mit Leerraum beginnen.
    Falls Sie mehr als einen Eintrag angeben, werden alle hinzugefügt. Falls Sie keine Einträge angeben, werden diese

    aus der Information in der Info-Datei selbst ermittelt.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--info-dir=VERZEICHNIS
    ist gleichbedeutend mit --dir-file=VERZEICHNIS/dir.

--info-file=DATEI
    gibt die im Verzeichnis zu installierende Info-Datei an; ist gleichbedeutend mit der Verwendung des Arguments INFO-DATEI.

--item=TEXT
    ist gleichbedeutend mit --entry=TEXT.

--keep-old
    ersetzt keine Einträge und löscht auch keine leeren Abschnitte.

--maxwidth, --max-width=SPALTE
    bricht die Beschreibung nach der angegebenen SPALTE um.

--menuentry=TEXT
    ist gleichbedeutend mit --name=TEXT.

--name=TEXT
    verwendet den angegebenen TEXT als Name des Eintrags; wird zusammen mit der Option --description verwendet, was dann synonym zur Option --entry wird.

--no-indent
    formatiert neue Einträge in der angegebenen VERZEICHNIS-Datei nicht.

--quiet
    unterdrückt Warnungen.

--regex=R
    setzt die Eintröge dieser Datei in alle Abschnitte, die dem regulären Ausdruck R entsprechen (Groß-/Kleinschreibung wird hierbei ignoriert).

--remove
    ist gleichbedeutend mit --delete.

--remove-exactly
    entfernt nur dann, wenn der Name der Info-Datei exakt übereinstimmt; Endungen wie .info und .gz werden nicht ignoriert.

--section=ABSCHNITT
    setzt Einträge in den angegebenen ABSCHNITT des Verzeichnisses. Falls Sie mehr als einen Abschnitt angeben, werden alle Einträge

in jedem der Abschnitte hinzugefügt.
    Falls Sie keinerlei Abschnitte angeben, werden diese aus

Informationen in der Info-Datei selbst ermittelt;
    falls dort nichts angegeben ist, wird der Wert --defsection verwendet; falls auch dies nicht angegeben ist, dann ist die endgültige Voreinstellung »Miscellaneous«.

--section R ABSCHNITT
    ist gleichbedeutend mit --regex=R --section=ABSCHNITT --add-once.

--silent
    unterdrückt Warnungen.

--test
    unterdrückt die Aktualisierung der VERZEICHNIS-DATEI.

--version
    zeigt Versionsinformationen an und beendet das Programm.

FEHLER MELDEN
Senden Sie Fehlerberichte auf Englisch an bug-texinfo@gnu.org, allgemeine Fragen und Diskussionen an help-texinfo@gnu.org.
Texinfo-Website: http://www.gnu.org/software/texinfo/

COPYRIGHT
Copyright © 2019 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für install-info wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info und install-info auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info install-info

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.